package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectGroup;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

import java.util.List;

/**
 * 大题统计分析 service 接口
 *
 * @author xuwenjin
 * @Date 2019-04-18
 */
public interface ReportSubjectGroupService {

    void deleteByExamId(Integer examId);

    List<ReportSubjectGroup> findByQuery(ReportSubjectQuery query);

    ReportSubjectGroup save(ReportSubjectGroup r);

    ReportSubjectGroup findOne(Integer examId, String subjectCode, boolean objective, String paperType,
            Integer mainNumber);

    List<ReportSubjectGroup> findByExamIdAndSubjectCodeAndObjectiveAndPaperType(Integer examId, String subjectCode,
            boolean objective, String paperType);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);
}
